package com.example.demo.model;

import java.time.OffsetDateTime;
import java.util.UUID;

import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.DateFormat;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;

import lombok.AllArgsConstructor;
import lombok.Data;

@Document(indexName = "testdoc")
@Data
@AllArgsConstructor
public class TestDocument {

  @Id
  private UUID id;

  @Field(type = FieldType.Date, format = DateFormat.date_time)
  private OffsetDateTime startDate;

}
