package com.example.demo.repository;

import java.time.OffsetDateTime;
import java.util.List;
import java.util.Optional;
import java.util.UUID;

import org.springframework.data.elasticsearch.repository.ElasticsearchRepository;

import com.example.demo.model.TestDocument;

public interface TestDocumentRepository extends ElasticsearchRepository<TestDocument, UUID> {

  List<TestDocument> findByStartDateBetween(OffsetDateTime low, OffsetDateTime high);
  Optional<TestDocument> findFirstByStartDateBetween(OffsetDateTime low, OffsetDateTime high);

}
